aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xlinuxdeploy_helper.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/linuxdeploy_helper.sh b/linuxdeploy_helper.sh
index d65676ce..cf9a6417 100755
--- a/linuxdeploy_helper.sh
+++ b/linuxdeploy_helper.sh
@@ -46,7 +46,9 @@ cat > $TARGET/start-gui.sh <<EOL
export LD_LIBRARY_PATH=\`pwd\`/libs
export QT_PLUGIN_PATH=\`pwd\`/plugins
export QML2_IMPORT_PATH=\`pwd\`/qml
-./$GUI_EXEC
+# make it so that it can be called from anywhere and also through soft links
+SCRIPT_DIR="\$(dirname "\$(test -L "\${BASH_SOURCE[0]}" && readlink "\${BASH_SOURCE[0]}" || echo "\${BASH_SOURCE[0]}")")"
+"\$SCRIPT_DIR"/$GUI_EXEC
EOL
-chmod +x $TARGET/start-gui.sh \ No newline at end of file
+chmod +x $TARGET/start-gui.sh